-- ERRORES VALIDADOS POR EL SOI

-- LOS APORTES PARAFISCALES NO COINCIDEN CON LA BASE
UPDATE fco_integrada_det 
SET aporte_CCF = IBC_CCF * 0.04,
    aporte_SENA = IBC_CCF * 0.02,
    aporte_ICBF = IBC_CCF * 0.03
WHERE mes = 11

-- LOS APORTES DE AFILIADOS AL ISS NO COINCIDEN POR REDONDEOS
UPDATE fco_integrada_det SET aporte_AFP = Round((IBC_AFP * tarifa_AFP - 1)/100,0)*100 
WHERE cod_AFP = '2501' AND aporte_AFP <> Round((IBC_AFP * tarifa_AFP - 1)/100,0)*100

UPDATE fco_integrada_det SET aporte_AFP = Round((IBC_AFP * tarifa_AFP - 1)/100,0)*100 
WHERE trabajador = '  19462944' AND aporte_AFP <> Round((IBC_AFP * tarifa_AFP - 1)/100,0)*100

UPDATE fco_integrada_det SET aporte_EPS = Round((IBC_EPS * tarifa_EPS - 1)/100,0)*100 
WHERE cod_EPS = '006' AND aporte_EPS <> Round((IBC_EPS * tarifa_EPS - 1)/100,0)*100

UPDATE fco_integrada_det
SET aporte_FSP = Round((IBC_AFP * 0.01 - 1)/100,0)*100
WHERE cod_AFP = '2501' AND aporte_FSP <> Round((IBC_AFP * 0.01 - 1)/100,0)*100 
AND IBC_AFP >= 1526000 AND IBC_AFP <= 6103999

-- APORTE A RIESGOS.  14950.08 SE APROXIMA A 15000 Y NO A 14900
UPDATE fco_integrada_det
SET aporte_ARP = Round(((IBC_ARP * tarifa_ARP) + 0.99 - 1)/100, 0)*100
WHERE aporte_ARP <> Round(((IBC_ARP * tarifa_ARP) + 0.99 - 1)/100, 0)*100

-- SOI NO ACEPTA IBC DE PARAFISCALES NEGATIVOS, NI APORTES A CAJA, SENA E ICBF NEGATIVOS:
UPDATE fco_integrada_det SET IBC_CCF = 0 WHERE IBC_CCF < 0
UPDATE fco_integrada_det SET aporte_CCF = 0 WHERE aporte_CCF < 0
UPDATE fco_integrada_det SET aporte_SENA = 0 WHERE aporte_SENA < 0
UPDATE fco_integrada_det SET aporte_ICBF = 0 WHERE aporte_ICBF < 0


-- SEÑORAS A LAS QUE SE LES QUITÓ LA AFP
UPDATE fco_integrada_det SET cod_AFP = '2501' 
WHERE aporte_AFP > 0 AND cod_AFP = '0000'

-- EL CASO DEL PRESIDENTE, QUE TIENE UN IBC "PEQUEÑO" Y FSP AL 2%
UPDATE fco_integrada_det SET aporte_FSP = 47700 WHERE trabajador = '  70062426'

-- SEÑORES QUE EN LA LD NO LES CALCULÓ FSP
UPDATE fco_integrada_det 
SET aporte_FSP = Round((IBC_AFP * 0.01 - 1)/100,0)*100
WHERE IBC_AFP >= 1526000
AND aporte_FSP = 0

-- NO TIENEN CCF
/*
SELECT * FROM fco_integrada_det
WHERE aporte_CCF <> 0
AND cod_CCF NOT IN
(SELECT codigo FROM vw_fco_administradoras
 WHERE compania = '10' AND tipo = 'CCF')

UPDATE fco_integrada_det SET cod_CCF = '001' WHERE cod_CCF = '100' OR cod_CCF = 'SIN_DA'

*/